diff --git phonon/CMakeLists.txt phonon/CMakeLists.txt
index b6ba4ec..34b417f 100644
--- phonon/CMakeLists.txt
+++ phonon/CMakeLists.txt
@@ -47,12 +47,12 @@ else(KDEBASE_DISABLE_MULTIMEDIA)
          endif(ALSA_VERSION_STR MATCHES "^1\\.(0\\.(1[4-9]|[2-9][0-9]+)|[1-9][0-9]*\\.)")
       endif(ALSA_VERSION_STR AND NOT WIN32)
    endif(ALSA_FOUND)
-   if(NOT WIN32)
+   if(NOT WIN32 AND NOT APPLE)
       add_feature_info("Dmix and virtual device listing" HAVE_CURRENT_ALSA
                        "The ALSA library (http://www.alsa-project.org) is needed for building
                         some additional Phonon features"
                       )
-   endif(NOT WIN32)
+   endif(NOT WIN32 AND NOT APPLE)
 
    add_subdirectory(kded-module)
    add_subdirectory(platform_kde)

diff --git phonon/kcm/CMakeLists.txt phonon/kcm/CMakeLists.txt
index 3b421e0..2b3b604 100644
--- phonon/kcm/CMakeLists.txt
+++ phonon/kcm/CMakeLists.txt
@@ -1,21 +1,23 @@
-macro_optional_find_package(PulseAudio 0.9.16)
-set_package_properties(PulseAudio PROPERTIES DESCRIPTION "PulseAudio Audio Server"
-                       URL "http://www.pulseaudio.org/"
-                       TYPE OPTIONAL
-                       PURPOSE "libpulse is needed for audio setup GUI"
-                      )
-
-find_package(GLIB2)
-set_package_properties(GLIB2 PROPERTIES DESCRIPTION "Low-level core library for data structure handling, portability wrappers, etc."
-                       URL "http://www.gtk.org"
-                       TYPE OPTIONAL
-                      )
-
-pkg_check_modules(CANBERRA libcanberra)
-add_feature_info ("Audio setup GUI" CANBERRA_FOUND
-                  "libcanberra is needed for audio setup GUI
-                  * http://0pointer.de/lennart/projects/libcanberra"
-                 )
+if(NOT APPLE)
+    macro_optional_find_package(PulseAudio 0.9.16)
+    set_package_properties(PulseAudio PROPERTIES DESCRIPTION "PulseAudio Audio Server"
+                           URL "http://www.pulseaudio.org/"
+                           TYPE OPTIONAL
+                           PURPOSE "libpulse is needed for audio setup GUI"
+                          )
+
+    find_package(GLIB2)
+    set_package_properties(GLIB2 PROPERTIES DESCRIPTION "Low-level core library for data structure handling, portability wrappers, etc."
+                           URL "http://www.gtk.org"
+                           TYPE OPTIONAL
+                          )
+
+    pkg_check_modules(CANBERRA libcanberra)
+    add_feature_info ("Audio setup GUI" CANBERRA_FOUND
+                      "libcanberra is needed for audio setup GUI
+                      * http://0pointer.de/lennart/projects/libcanberra"
+                     )
+endif(NOT APPLE)
 
 set(kcmphonon_SRCS main.cpp devicepreference.cpp backendselection.cpp)
 kde4_add_ui_files(kcmphonon_SRCS devicepreference.ui backendselection.ui)
